[ < ] | [ > ] |  | [ << ] | [ Up ] | [ >> ] |  |  |  |  | [Top] | [Contents] | [Index] | [ ? ]

# 7. Running GetDP

GetDP has no graphical interface(1). It is a command-line driven program that reads a problem definition file once at the beginning of the processing. This problem definition file is a regular ASCII text file (see section 1.1 Numerical tools as objects), hence created with whatever text editor you like.

If you just type the program name at your shell prompt (without any argument), you will get a short help on how to run GetDP. All GetDP calls look like

    getdp filename options

where filename is the ASCII file containing the problem definition, i.e., the structures this user's guide has taught you to create. This file can include other files (see section 1.4 Includes), so that only one problem definition file should always be given on the command line. The input files containing the problem definition structure are usually given the ``.pro'` extension (if so, there is no need to specify the extension on the command line). The name of this file (without the extension) is used as a basis for the creation of intermediate files during the pre-processing and the processing stages.

The options are a combination of the following commands (in any order):

`-pre`
  resolution-id

  Performs the pre-processing associated with the resolution resolution-id. In the pre-processing stage, GetDP creates the geometric database (from the mesh file), identifies the degrees of freedom (the unknowns) of the problem and sets up the constraints on these degrees of freedom. The pre-processing creates a file with a ``.pre'` extension. If resolution-id is omitted, the list of available choices is displayed.

`-cal`

  Performs the processing. This requires that a pre-processing has been performed previously, or that a `-pre` option is given on the same command line. The performed resolution is the one given as an argument to the `-pre` option. In the processing stage, GetDP executes all the commands given in the `Operation` field of the selected `Resolution` object (such as matrix assemblies, system resolutions, ...).

`-pos`
  post-operation-id ...

  Performs the operations in the `PostOperation`(s) selected by the post-operation-id(s). This requires that a processing has been performed previously, or that a `-cal` option is given on the same command line. If post-operation-id is omitted, the list of available choices is displayed.

`-ipos`
  post-processing-id ...

  Enters an interactive post-processing mode, permetting to manually type `PostOperation`-like commands. These commands are based on the `PostProcessing` object(s) selected by the post-processing-id(s). If post-processing-id is omitted, the list of available choices is displayed.

`-msh`
  filename

  Reads the mesh (in `.msh` format) from filename (see section 8. File formats) rather than from the default problem file name (with the ``.msh'` extension appended).

`-split`

  Saves processing results in separate files (one for each timestep).

`-res`
  filename ...

  Loads processing results from file(s).

`-name`
  string

  Uses string as the default generic file name for input or output of mesh, pre-processing and processing files.

`-restart`

  Restarts processing of a time stepping resolution interrupted before being complete.

`-solve`
  resolution-id

  Same as `-pre resolution-id -cal`.

`-adapt`
  file

  Reads adaptation constraints from file.

`-order`
  real

  Specifies the maximum interpolation order.

`-bin`

  Selects binary format for output files.

`-log`

  Saves all processing history in a log file (the input file name with an appended `.log` extension).

`-socket`
  string

  Communicates through socket string.

`-check`

  Lets you check the problem structure interactively.

`-v`
`-verbose`
  integer

  Sets the verbosity level. A value of 0 means that no information will be displayed during the processing.

`-p`
`-progress`
  integer

  Sets the progress update rate. This controls the refreshment rate of the counter indicating the progress of the current computation (in %).

`-info`

  Displays the version information.

`-version`

  Displays the version number.

`-help`

  Displays a message listing basic usage and available options.

[ << ] | [ >> ] |  |  |  |  |  | [Top] | [Contents] | [Index] | [ ? ]

Back to geuz.org/getdp